Main Page Namespaces Book

# Pango::Coverage Class Reference

List of all members.

## Detailed Description

A Pango::Coverage represents a map from ISO-10646 character point to Pango::CoverageLevel.

It is often necessary in pango to determine if a particular font can represent a particular character, and also how well it can represent that character. Pango::Coverage holds this information.

## Public Member Functions

CoverageLevel | get (int index) const
| Determine whether a particular index is covered by coverage.
const PangoCoverage* | gobj () const
| Provides access to the underlying C instance.
PangoCoverage* | gobj ()
| Provides access to the underlying C instance.
PangoCoverage* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | max (const Glib::RefPtr<Coverage>& other) const
| Set the coverage for each index in coverage to be the max (better) value of the current coverage for the index and the coverage for the corresponding index in other.
void | reference () const
void | set (int index, CoverageLevel level)
| Modify a particular index within coverage.
Glib::ArrayHandle<unsigned char> | to_bytes () const
| Convert the coverage map into a flat binary format.
void | unreference () const

## Static Public Member Functions

static Glib::RefPtr<Coverage> | create (const guchar* bytes, int n_bytes)
| Convert data generated from pango_converage_to_bytes() back to a Pango::Coverage.
static Glib::RefPtr<Coverage> | create ()

## Protected Member Functions

| Coverage ()
void | operator delete (void*, size_t)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Pango::Coverage> | wrap (PangoCoverage* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Pango::Coverage::Coverage | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Coverage> Pango::Coverage::create | ( | const guchar * | bytes,
|  | int | n_bytes |
| ) |  |  | `[static]`

Convert data generated from pango_converage_to_bytes() back to a Pango::Coverage.

Parameters:

  | bytes | Binary data representing a Pango::Coverage.
  | n_bytes | The size of bytes in bytes.

Returns:
  A newly allocated Pango::Coverage, or `0` if the data was invalid.

static Glib::RefPtr<Coverage> Pango::Coverage::create | ( |  | ) | `[static]`

CoverageLevel Pango::Coverage::get | ( | int | index | ) | const

Determine whether a particular index is covered by coverage.

Parameters:

  | index | The index to check.

Returns:
  The coverage level of coverage for character index.

const PangoCoverage* Pango::Coverage::gobj | ( |  | ) | const

Provides access to the underlying C instance.

PangoCoverage* Pango::Coverage::gobj | ( |  | ) |

Provides access to the underlying C instance.

PangoCoverage* Pango::Coverage::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Pango::Coverage::max | ( | const Glib::RefPtr<Coverage>& | other | ) | const

Set the coverage for each index in coverage to be the max (better) value of the current coverage for the index and the coverage for the corresponding index in other.

Parameters:

  | other | Another Pango::Coverage.

void Pango::Coverage::operator delete | ( | void * | ,
|  | size_t |  |
| ) |  |  | `[protected]`

void Pango::Coverage::reference | ( |  | ) | const

void Pango::Coverage::set | ( | int | index,
|  | CoverageLevel | level |
| ) |  |  |

Modify a particular index within coverage.

Parameters:

  | index | The index to modify.
  | level | The new level for index.

Glib::ArrayHandle<unsigned char> Pango::Coverage::to_bytes | ( |  | ) | const

Convert the coverage map into a flat binary format.

Returns:
  An array of bytes representing the coverage map.

void Pango::Coverage::unreference | ( |  | ) | const

## Friends And Related Function Documentation

Glib::RefPtr<Pango::Coverage> wrap | ( | PangoCoverage * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- coverage.h